Commits on Mar 5, 2012
  1. Accept options in managed template.

    For instance, when installing via brew, you sometimes want to pass options such
    as --use-clang or --with-quantum-depth-8 (imagemagick) etc.
    committed Mar 5, 2012
Commits on Feb 29, 2012
  1. @benhoskings
  2. @benhoskings
  3. @benhoskings
  4. @benhoskings
  5. @benhoskings

    Deprecate everything in RunHelpers except the stuff relating to rende…

    …ring erb -- that'll be moved somewhere and cleaned up.
    benhoskings committed Feb 29, 2012
  6. @benhoskings

    Add Fancypath#yaml.

    benhoskings committed Feb 29, 2012
  7. @benhoskings
  8. @benhoskings

    Add #deprecated! log helper.

    benhoskings committed Feb 29, 2012
  9. @benhoskings
  10. @benhoskings

    Add Fancypath#grep.

    benhoskings committed Feb 29, 2012
  11. @benhoskings

    Remove `automake` and `autoconf` from 'xcode commandline tools', sinc…

    …e the new Apple package for this stuff doesn't include them, even though kennethreitz's does.
    benhoskings committed Feb 29, 2012
Commits on Feb 28, 2012
  1. @benhoskings

    v0.11.4 - Allow multiple targets when using #on/#via, refactored the …

    …package manager deps, converted apt source & ppa templates to deps and added custom uri support, fix the default debian apt source uri.
    benhoskings committed Feb 28, 2012
  2. @benhoskings
  3. @benhoskings
  4. @benhoskings
  5. @benhoskings

    Since that didn't fix the endless loop (heh), write to sources.list m…

    …anually instead of using python-software-properties.
    benhoskings committed Feb 28, 2012
  6. @benhoskings
  7. @benhoskings
  8. @benhoskings
  9. @benhoskings

    Parameterise 'apt source' (updating the met? regexp accordingly), and…

    … add sources using `add-apt-repository`.
    benhoskings committed Feb 28, 2012
  10. @benhoskings
Commits on Feb 24, 2012
  1. @benhoskings

    Refactor 'ruby.managed' packages: currently, the stock packages pull …

    …in what we want; on older apts, 'irb' and 'libopenssl-ruby' have to be pulled in explicitly.
    benhoskings committed Feb 20, 2012
  2. @benhoskings
  3. @benhoskings
  4. @benhoskings
  5. @benhoskings
  6. @benhoskings
  7. @benhoskings

    v0.11.3 - Bugfixes for passing dep arguments within on/via blocks and…

    … for older versions of `pip`, and some GitRepo docs.
    benhoskings committed Feb 24, 2012
  8. @benhoskings
  9. @benhoskings

    Flatten LambdaChooser input into arrays instead of splatting, which e…

    …xpands enumerables like Struct, breaking Dep::Requirement input.
    benhoskings committed Feb 24, 2012
Commits on Feb 22, 2012
  1. @benhoskings

    PipHelper fix: don't pass the package name to 'pip freeze', as it's i…

    …nterpreted as an output file by older pips. Newer pips unaffected, older pips now print to STDOUT too.
    benhoskings committed Feb 22, 2012
  2. @benhoskings
Commits on Feb 20, 2012
  1. @benhoskings
Commits on Feb 17, 2012
  1. @benhoskings

    v0.11.2 - Some ruby/git package fixes for debian lenny, tighten the g…

    …it version since 1.5 can't clone over https:// anyway, and added entries for newer ubuntus.
    benhoskings committed Feb 17, 2012